LineItems
List line items on a given deal
List line items on a given deal.
GET
/
v3
/
deals
/
{dealId}
/
line-items
List line items on a given deal
curl --request GET \
--url https://api.example.com/v3/deals/{dealId}/line-itemsimport requests
url = "https://api.example.com/v3/deals/{dealId}/line-items"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/deals/{dealId}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"productId": 123,
"dealId": 123,
"unitPrice": {
"value": 123,
"currency": "<string>"
},
"price": {
"value": 123,
"currency": "<string>"
},
"suggestedPrice": {
"value": 123,
"currency": "<string>"
},
"quantity": 123,
"properties": {},
"creationDate": "2023-11-07T05:31:56Z"
}
],
"paginationSkipCount": 123,
"totalCount": 123
}Path Parameters
The ID of the deal containing the line items to retrieve.
Query Parameters
Property to sort by.
Order by direction. Can be ASC or DESC.
Start offset used to paginate results.
Maximum number of items to be returned.
List line items on a given deal
